Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityAIOpenDoor

    java.lang.Object
      net.minecraft.src.EntityAIBase
          net.minecraft.src.EntityAIDoorInteract
              net.minecraft.src.EntityAIOpenDoor

    public class EntityAIOpenDoor

extends EntityAIDoorInteract

Constructor Summary
`EntityAIOpenDoor(EntityLiving par1EntityLiving, boolean par2)`

Method Summary
`boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
`void` | `resetTask()` Resets the task
`void` | `startExecuting()` Execute a one shot task or start executing a continuous task
`void` | `updateTask()` Updates the task

Methods inherited from class net.minecraft.src.EntityAIDoorInteract
`shouldExecute`

Methods inherited from class net.minecraft.src.EntityAIBase
`getMutexBits, isContinuous, setMutexBits`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAIOpenDoor

    public EntityAIOpenDoor(EntityLiving par1EntityLiving,
                            boolean par2)

Method Detail

### continueExecuting

    public boolean continueExecuting()

  Returns whether an in-progress EntityAIBase should continue executing

  Overrides:
    `continueExecuting` in class `EntityAIDoorInteract`

### startExecuting

    public void startExecuting()

  Execute a one shot task or start executing a continuous task

  Overrides:
    `startExecuting` in class `EntityAIDoorInteract`

### resetTask

    public void resetTask()

  Resets the task

  Overrides:
    `resetTask` in class `EntityAIBase`

### updateTask

    public void updateTask()

  Updates the task

  Overrides:
    `updateTask` in class `EntityAIDoorInteract`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD